%define name perl-Expect
%define module Expect
%define version 1.15
%define release 2mdk

Summary:	Expect perl module
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Url:		http://www.cpan.org
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Expect/Expect-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Patch0:		%{name}-paths.patch.bz2
Requires: 	perl, perl-IO-Tty
BuildRequires:	perl-IO-Stty, perl-IO-Tty >= 1.02
BuildArch:	noarch

%description
Expect perl module.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{module}-%{version}

%patch -p1

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc Changes README examples tutorial
%{perl_vendorlib}/*.pm
%{_mandir}/*/*

%changelog
* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.15-2mdk
- Requires perl-IO-Tty

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- 1.15

* Tue Sep 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.12-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap
